<?php 
/**
 * @package 	WordPress
 * @subpackage 	Top Model
 * @version		1.1.6
 * 
 * Admin Panel Fonts Options
 * Created by CMSMasters
 * 
 */


function top_model_options_font_tabs() {
	$tabs = array();
	
	$tabs['content'] = esc_attr__('Content', 'top-model');
	$tabs['link'] = esc_attr__('Links', 'top-model');
	$tabs['nav'] = esc_attr__('Navigation', 'top-model');
	$tabs['heading'] = esc_attr__('Heading', 'top-model');
	$tabs['other'] = esc_attr__('Other', 'top-model');
	$tabs['google'] = esc_attr__('Google Fonts', 'top-model');
	
	return $tabs;
}


function top_model_options_font_sections() {
	$tab = top_model_get_the_tab();
	
	switch ($tab) {
	case 'content':
		$sections = array();
		
		$sections['content_section'] = esc_html__('Content Font Options', 'top-model');
		
		break;
	case 'link':
		$sections = array();
		
		$sections['link_section'] = esc_html__('Links Font Options', 'top-model');
		
		break;
	case 'nav':
		$sections = array();
		
		$sections['nav_section'] = esc_html__('Navigation Font Options', 'top-model');
		
		break;
	case 'heading':
		$sections = array();
		
		$sections['heading_section'] = esc_html__('Headings Font Options', 'top-model');
		
		break;
	case 'other':
		$sections = array();
		
		$sections['other_section'] = esc_html__('Other Fonts Options', 'top-model');
		
		break;
	case 'google':
		$sections = array();
		
		$sections['google_section'] = esc_html__('Serving Google Fonts from CDN', 'top-model');
		
		break;
	default:
		$sections = array();
		
		
		break;
	}
	
	return $sections;
} 


function top_model_options_font_fields($set_tab = false) {
	if ($set_tab) {
		$tab = $set_tab;
	} else {
		$tab = top_model_get_the_tab();
	}
	
	
	$cmsmasters_option = top_model_get_global_options();
	
	
	$options = array();
	
	switch ($tab) {
	case 'content':
		$options[] = array( 
			'section' => 'content_section', 
			'id' => 'top-model' . '_content_font', 
			'title' => esc_html__('Main Content Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Raleway:300,400,500,600,700', 
				'font_size' => 			'13', 
				'line_height' => 		'22', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style' 
			) 
		);
		
		break;
	case 'link':
		$options[] = array( 
			'section' => 'link_section', 
			'id' => 'top-model' . '_link_font', 
			'title' => esc_html__('Links Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Raleway:300,400,500,600,700', 
				'font_size' => 			'13', 
				'line_height' => 		'22', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform', 
				'text_decoration' 
			) 
		);
		
		$options[] = array( 
			'section' => 'link_section', 
			'id' => 'top-model' . '_link_hover_decoration', 
			'title' => esc_html__('Links Hover Text Decoration', 'top-model'), 
			'desc' => '', 
			'type' => 'select_scheme', 
			'std' => 'none', 
			'choices' => top_model_text_decoration_list() 
		);
		
		break;
	case 'nav':
		$options[] = array( 
			'section' => 'nav_section', 
			'id' => 'top-model' . '_nav_title_font', 
			'title' => esc_html__('Navigation Title Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Raleway:300,400,500,600,700', 
				'font_size' => 			'13', 
				'line_height' => 		'20', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform' 
			) 
		);
		
		$options[] = array( 
			'section' => 'nav_section', 
			'id' => 'top-model' . '_nav_dropdown_font', 
			'title' => esc_html__('Navigation Dropdown Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Raleway:300,400,500,600,700', 
				'font_size' => 			'13', 
				'line_height' => 		'20', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform' 
			) 
		);
		
		break;
	case 'heading':
		$options[] = array( 
			'section' => 'heading_section', 
			'id' => 'top-model' . '_h1_font', 
			'title' => esc_html__('H1 Tag Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Prata', 
				'font_size' => 			'36', 
				'line_height' => 		'48', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform', 
				'text_decoration' 
			) 
		);
		
		$options[] = array( 
			'section' => 'heading_section', 
			'id' => 'top-model' . '_h2_font', 
			'title' => esc_html__('H2 Tag Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Prata', 
				'font_size' => 			'30', 
				'line_height' => 		'38', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform', 
				'text_decoration' 
			) 
		);
		
		$options[] = array( 
			'section' => 'heading_section', 
			'id' => 'top-model' . '_h3_font', 
			'title' => esc_html__('H3 Tag Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Playfair+Display:400,400italic', 
				'font_size' => 			'24', 
				'line_height' => 		'30', 
				'font_weight' => 		'400', 
				'font_style' => 		'italic', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform', 
				'text_decoration' 
			) 
		);
		
		$options[] = array( 
			'section' => 'heading_section', 
			'id' => 'top-model' . '_h4_font', 
			'title' => esc_html__('H4 Tag Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Playfair+Display:400,400italic', 
				'font_size' => 			'20', 
				'line_height' => 		'26', 
				'font_weight' => 		'400', 
				'font_style' => 		'italic', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform', 
				'text_decoration' 
			) 
		);
		
		$options[] = array( 
			'section' => 'heading_section', 
			'id' => 'top-model' . '_h5_font', 
			'title' => esc_html__('H5 Tag Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Playfair+Display:400,400italic', 
				'font_size' => 			'18', 
				'line_height' => 		'24', 
				'font_weight' => 		'400', 
				'font_style' => 		'italic', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform', 
				'text_decoration' 
			) 
		);
		
		$options[] = array( 
			'section' => 'heading_section', 
			'id' => 'top-model' . '_h6_font', 
			'title' => esc_html__('H6 Tag Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Raleway:300,400,500,600,700', 
				'font_size' => 			'16', 
				'line_height' => 		'22', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform', 
				'text_decoration' 
			) 
		);
		
		break;
	case 'other':
		$options[] = array( 
			'section' => 'other_section', 
			'id' => 'top-model' . '_button_font', 
			'title' => esc_html__('Button Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Raleway:300,400,500,600,700', 
				'font_size' => 			'12', 
				'line_height' => 		'38', 
				'font_weight' => 		'400', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform' 
			) 
		);
		
		$options[] = array( 
			'section' => 'other_section', 
			'id' => 'top-model' . '_small_font', 
			'title' => esc_html__('Small Tag Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Raleway:300,400,500,600,700', 
				'font_size' => 			'13', 
				'line_height' => 		'22', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style', 
				'text_transform' 
			) 
		);
		
		$options[] = array( 
			'section' => 'other_section', 
			'id' => 'top-model' . '_input_font', 
			'title' => esc_html__('Text Fields Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Raleway:300,400,500,600,700', 
				'font_size' => 			'13', 
				'line_height' => 		'20', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style' 
			) 
		);
		
		$options[] = array( 
			'section' => 'other_section', 
			'id' => 'top-model' . '_quote_font', 
			'title' => esc_html__('Blockquote Font', 'top-model'), 
			'desc' => '', 
			'type' => 'typorgaphy', 
			'std' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Playfair+Display:400,400italic', 
				'font_size' => 			'16', 
				'line_height' => 		'36', 
				'font_weight' => 		'normal', 
				'font_style' => 		'italic' 
			), 
			'choices' => array( 
				'system_font', 
				'google_font', 
				'font_size', 
				'line_height', 
				'font_weight', 
				'font_style' 
			) 
		);
		
		break;
	case 'google':
		$options[] = array( 
			'section' => 'google_section', 
			'id' => 'top-model' . '_google_web_fonts', 
			'title' => esc_html__('Google Fonts', 'top-model'), 
			'desc' => '', 
			'type' => 'google_web_fonts', 
			'std' => cmsmasters_google_fonts_list()
		);
		
		$options[] = array( 
			'section' => 'google_section', 
			'id' => 'top-model' . '_google_web_fonts_subset', 
			'title' => esc_html__('Google Fonts Subset', 'top-model'), 
			'desc' => '', 
			'type' => 'select_multiple', 
			'std' => '', 
			'choices' => array( 
				esc_html__('Latin Extended', 'top-model') . '|' . 'latin-ext', 
				esc_html__('Arabic', 'top-model') . '|' . 'arabic', 
				esc_html__('Cyrillic', 'top-model') . '|' . 'cyrillic', 
				esc_html__('Cyrillic Extended', 'top-model') . '|' . 'cyrillic-ext', 
				esc_html__('Greek', 'top-model') . '|' . 'greek', 
				esc_html__('Greek Extended', 'top-model') . '|' . 'greek-ext', 
				esc_html__('Vietnamese', 'top-model') . '|' . 'vietnamese', 
				esc_html__('Japanese', 'top-model') . '|' . 'japanese', 
				esc_html__('Korean', 'top-model') . '|' . 'korean', 
				esc_html__('Thai', 'top-model') . '|' . 'thai', 
				esc_html__('Bengali', 'top-model') . '|' . 'bengali', 
				esc_html__('Devanagari', 'top-model') . '|' . 'devanagari', 
				esc_html__('Gujarati', 'top-model') . '|' . 'gujarati', 
				esc_html__('Gurmukhi', 'top-model') . '|' . 'gurmukhi', 
				esc_html__('Hebrew', 'top-model') . '|' . 'hebrew', 
				esc_html__('Kannada', 'top-model') . '|' . 'kannada', 
				esc_html__('Khmer', 'top-model') . '|' . 'khmer', 
				esc_html__('Malayalam', 'top-model') . '|' . 'malayalam', 
				esc_html__('Myanmar', 'top-model') . '|' . 'myanmar', 
				esc_html__('Oriya', 'top-model') . '|' . 'oriya', 
				esc_html__('Sinhala', 'top-model') . '|' . 'sinhala', 
				esc_html__('Tamil', 'top-model') . '|' . 'tamil', 
				esc_html__('Telugu', 'top-model') . '|' . 'telugu' 
			) 
		);
		
		break;
	}
	
	return $options;	
}

